Debian Bug report logs - #510274
mgp: Crashes with X BadMatch error

version graph

Package: mgp; Maintainer for mgp is Debian QA Group <packages@qa.debian.org>; Source for mgp is src:mgp.

Reported by: Peter De Wachter <pdewacht@gmail.com>

Date: Wed, 31 Dec 2008 00:36:01 UTC

Severity: grave

Merged with 400105

Found in version mgp/1.11b-7

Fixed in version mgp/1.13a+upstream20090219-1

Done: Barry deFreese <bdefreese@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#510274; Package mgp. (Wed, 31 Dec 2008 00:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter De Wachter <pdewacht@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>. (Wed, 31 Dec 2008 00:36:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter De Wachter <pdewacht@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mgp: Crashes with X BadMatch error
Date: Wed, 31 Dec 2008 01:33:04 +0100
Package: mgp
Version: 1.11b-7
Severity: grave

For every presentation I try to start (sample.mpg, sendmail6.mpg,
v6.mpg), mgp dies with an X error. I've reproduced this on several
systems (including one running pure testing). This might be the same
bug as #400105, though in that report the error message is
different. I can't reproduce this problem with mgp 1.13b-2 (the
version in unstable).

| default.mgp:15: warning: directive "tfont" not supported in this configuration
| default.mgp:15: warning: directive "tmfont" not supported in this configuration
| default.mgp:16: warning: directive "tfont" not supported in this configuration
| default.mgp:16: warning: directive "tmfont" not supported in this configuration
| default.mgp:17: warning: directive "tfont" not supported in this configuration
| default.mgp:17: warning: directive "tmfont" not supported in this configuration
| 
| X Error of failed request:  BadMatch (invalid parameter attributes)
|   Major opcode of failed request:  157 (RENDER)
|   Minor opcode of failed request:  4 (RenderCreatePicture)
|   Serial number of failed request:  292
|   Current serial number in output stream:  328

I get the following backtrace for "mgp -o sample.mgp". (I recompiled
mgp with debug info and added XSynchronize(display,True) calls.)

#0  _XError (dpy=0x1226fc0, rep=0x14130a0) at ../../src/XlibInt.c:2879
#1  0x00007f56852b0d4f in process_responses (dpy=0x1226fc0, wait_for_first_event=0, current_error=0x7fff8ef3c818, current_request=440)
    at ../../src/xcb_io.c:138
#2  0x00007f56852b10fa in _XReply (dpy=0x1226fc0, rep=0x7fff8ef3c860, extra=0, discard=1) at ../../src/xcb_io.c:370
#3  0x00007f56852a4ce3 in XSync (dpy=0x1226fc0, discard=0) at ../../src/Sync.c:48
#4  0x00007f56852a4e9b in _XSyncFunction (dpy=0x1226fc0) at ../../src/Synchro.c:37
#5  0x00007f56852b14cb in _XIDHandler (dpy=0x1226fc0) at ../../src/xcb_io.c:275
#6  0x00007f5683d96fd7 in XRenderCreatePicture (dpy=0x1226fc0, drawable=12582917, format=0x12f0b10, valuemask=0, attributes=0x7fff8ef3c910)
    at ../../src/Picture.c:99
#7  0x00007f568667668d in _XftDrawRenderPrepare (draw=0x12f6930) at ../../src/xftdraw.c:402
#8  0x00007f5686676d3d in XftDrawGlyphs (draw=0x12f6930, color=0x1412c00, pub=0x146b930, x=404, y=428, glyphs=0x7fff8ef3ca20, nglyphs=5)
    at ../../src/xftdraw.c:485
#9  0x00007f568151e27d in xft_render (win=<value optimized out>, x=612, y=428, gstring=<value optimized out>, from=0x145e178, to=0x145e2e0, reverse=0, 
    region=0x0) at m17n-X.c:1328
#10 0x00007f56849f4819 in render_glyphs (frame=0x12f5a10, win=0xc00005, x=404, y=428, width=<value optimized out>, gstring=0x140d770, 
    from_idx=<value optimized out>, to_idx=<value optimized out>, reverse=0, region=0x0) at draw.c:1187
#11 0x00007f56849f5088 in render_glyph_string (frame=0x12f5a10, win=0xc00005, x=404, y=428, gstring=0x140d770, from=0, to=11) at draw.c:1342
#12 0x00007f56849fa905 in draw_text (frame=0x12f5a10, win=0xc00005, x=404, y=428, mt=0x12f4be0, from=0, to=11, control=0x64b280) at draw.c:1648
#13 0x000000000042600e in M17N_draw_object (obj=0x1473aa0, target=12582917, x=404, y=428) at m17n.c:654
#14 0x000000000040e47b in obj_draw (state=0x65f860, target=12582917, xpos=404, ypos=370) at draw.c:2306
#15 0x000000000040bcf6 in draw_line_end (state=0x65f860) at draw.c:1061
#16 0x000000000040b6c7 in process_direc (state=0x65f860, seenpause=0x7fff8ef40ef8) at draw.c:811
#17 0x000000000040a279 in draw_page (state=0x65f860, lastcp=0x0) at draw.c:321
#18 0x000000000041378d in cache_page (state=0x65f860, page=1) at draw.c:4259
#19 0x0000000000413e91 in predraw (state=0x6463a0) at draw.c:4418
#20 0x0000000000409e95 in state_goto (state=0x6463a0, page=1, repaint=0) at draw.c:196
#21 0x000000000040866c in main_loop (start_page=1) at mgp.c:781
#22 0x00000000004077ac in main (argc=1, argv=0x1226f30) at mgp.c:481


-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/1 CPU core)
Locale: LANG=nl_BE.UTF-8, LC_CTYPE=nl_BE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages mgp depends on:
ii  imlib11                1.9.15-7          Imlib is an imaging library for X 
ii  libc6                  2.7-16            GNU C Library: Shared libraries
ii  libfontconfig1         2.6.0-3           generic font configuration library
ii  libgif4                4.1.6-6           library for GIF images (library)
ii  libice6                2:1.0.4-1         X11 Inter-Client Exchange library
ii  libjpeg62              6b-14             The Independent JPEG Group's JPEG 
ii  libm17n-0              1.5.2-1           a multilingual text processing lib
ii  libmng1                1.0.9-1           Multiple-image Network Graphics li
ii  libpng12-0             1.2.27-2          PNG library - runtime
ii  libsm6                 2:1.0.3-2         X11 Session Management library
ii  libtiff4               3.8.2-11          Tag Image File Format (TIFF) libra
ii  libx11-6               2:1.1.5-2         X11 client-side library
ii  libxext6               2:1.0.4-1         X11 miscellaneous extension librar
ii  libxft2                2.1.12-3          FreeType-based font drawing librar
ii  libxmu6                2:1.0.4-1         X11 miscellaneous utility library
ii  libxt6                 1:1.0.5-3         X11 toolkit intrinsics library
ii  perl [perl5]           5.10.0-18         Larry Wall's Practical Extraction 
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

Versions of packages mgp recommends:
ii  libjpeg-progs                 6b-14      Programs for manipulating JPEG fil
ii  netpbm [pnmtopng]             2:10.0-12  Graphics conversion tools
ii  sharutils                     1:4.6.3-1  shar, unshar, uuencode, uudecode

Versions of packages mgp suggests:
pn  asiya24-vfont            <none>          (no description available)
ii  emacsen-common           1.4.17          Common facilities for all emacsen
ii  ghostscript-x [gs]       8.62.dfsg.1-3.2 The GPL Ghostscript PostScript/PDF
ii  gs                       8.62.dfsg.1-3.2 Transitional package
ii  gsfonts-x11              0.21            Make Ghostscript fonts available t
pn  tetex-bin                <none>          (no description available)
ii  ttf-freefont             20080323-3      Freefont Serif, Sans and Mono True
pn  ttf-kochi-gothic         <none>          (no description available)
pn  ttf-kochi-mincho         <none>          (no description available)
ii  ttf-opensymbol           1:2.4.1-15      The OpenSymbol TrueType font
pn  ttf-sazanami-gothic      <none>          (no description available)
pn  ttf-sazanami-mincho      <none>          (no description available)

-- no debconf information




Bug no longer marked as found in version 1.13a-1. Request was from pdewacht@gmail.com (Peter De Wachter) to control@bugs.debian.org. (Wed, 31 Dec 2008 00:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#510274; Package mgp. (Sat, 03 Jan 2009 00:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Sat, 03 Jan 2009 00:21:02 GMT) Full text and rfc822 format available.

Message #12 received at 510274@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 510274@bugs.debian.org
Subject: Reproduced in Lenny
Date: Sat, 3 Jan 2009 00:18:36 +0000
[Message part 1 (text/plain, inline)]
> For every presentation I try to start (sample.mpg, sendmail6.mpg,
> v6.mpg), mgp dies with an X error. I've reproduced this on several
> systems (including one running pure testing). This might be the same
> bug as #400105, though in that report the error message is
> different. I can't reproduce this problem with mgp 1.13b-2 (the
> version in unstable).

$ rmadison mgp
       mgp |    1.11b-7 |     etch-m68k | source, m68k
       mgp |    1.11b-7 |        stable | source, alpha, amd64, arm,
hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc mgp |    1.11b-7
|       testing | source, alpha, amd64, arm, armel, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc mgp |    1.11b-7 |      unstable | m68k
       mgp |    1.13a-1 |      unstable | source, alpha, amd64, arm,
armel, hppa, hurd-i386, i386, ia64, mips, mipsel, powerpc, s390, sparc


Unstable has 1.13a-1 - have you been able to test that version?

1.13a-1 works for me (despite a few warning messages on the console).

If this bug is absent in 1.13a-1, debian-release may be happy to allow
1.13a-1 to migrate to fix this bug.

In a Lenny chroot, I'm able to reproduce the bug (1.11b-7):

X Error of failed request:  BadMatch (invalid parameter attributes)
  Major opcode of failed request:  75 (X_PolyText16)
  Serial number of failed request:  206
  Current serial number in output stream:  210

Taking a look at the amount of changes . . . 

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#510274; Package mgp. (Sat, 03 Jan 2009 16:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Sat, 03 Jan 2009 16:18:07 GMT) Full text and rfc822 format available.

Message #17 received at 510274@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: control@bugs.debian.org
Cc: 510274@bugs.debian.org
Subject: merging with existing report
Date: Sat, 3 Jan 2009 16:16:17 +0000
[Message part 1 (text/plain, inline)]
package: mgp
severity 400105 grave
merge 400105 510274
thanks

400105 is the same issue but the fix explored in that report doesn't
fix the issue for me - I get a segmentation fault instead.

 draw.c                                |  810 ++
 globals.c                             |    4 
 image/compress.c                      |    3 
 image/imlib_loader.c                  |   85 
 image/misc.c                          |    2 
 image/rlelib.c                        |  428 -
 image/send.c                          |   19 
 m17n.c                                |  130 
 mgp.c                                 |   67 
 parse.c                               |   41 
 print.c                               |  263 
 tfont.c                               |   14 
 x11.c                                 |    6 


Some of these changes are trivial:

 image/rlelib.c                        |  428 -

consists solely of whitespace changes.

Most of the changes in draw.c are related to rotation support, as are
many of the changes in print.c.

Other changes include in the imlib support. mgp might just have to be
removed.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

[Message part 2 (application/pgp-signature, inline)]

Merged 400105 510274. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sat, 03 Jan 2009 16:18:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#510274; Package mgp. (Sat, 03 Jan 2009 17:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Sat, 03 Jan 2009 17:42:02 GMT) Full text and rfc822 format available.

Message #24 received at 510274@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Neil Williams <codehelp@debian.org>, 510274@bugs.debian.org
Cc: Peter De Wachter <pdewacht@gmail.com>
Subject: Re: Bug#510274: Reproduced in Lenny
Date: Sat, 3 Jan 2009 18:37:55 +0100
[Message part 1 (text/plain, inline)]
Hello (back) Peter,

sorry for the messy-looking mail, but people still didn't get how the
BTS work; that's why I'm fully quoting the mail.

Neil Williams <codehelp@debian.org> (03/01/2009):
> > For every presentation I try to start (sample.mpg, sendmail6.mpg,
> > v6.mpg), mgp dies with an X error. I've reproduced this on several
> > systems (including one running pure testing). This might be the same
> > bug as #400105, though in that report the error message is
> > different. I can't reproduce this problem with mgp 1.13b-2 (the
> > version in unstable).
> 
> $ rmadison mgp
>        mgp |    1.11b-7 |     etch-m68k | source, m68k
>        mgp |    1.11b-7 |        stable | source, alpha, amd64, arm,
> hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc mgp |    1.11b-7
> |       testing | source, alpha, amd64, arm, armel, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc mgp |    1.11b-7 |      unstable | m68k
>        mgp |    1.13a-1 |      unstable | source, alpha, amd64, arm,
> armel, hppa, hurd-i386, i386, ia64, mips, mipsel, powerpc, s390, sparc
> 
> 
> Unstable has 1.13a-1 - have you been able to test that version?

When asking… ask someone. Keep the submitter in To or Cc.

> 1.13a-1 works for me (despite a few warning messages on the console).
> 
> If this bug is absent in 1.13a-1, debian-release may be happy to allow
> 1.13a-1 to migrate to fix this bug.
> 
> In a Lenny chroot, I'm able to reproduce the bug (1.11b-7):
> 
> X Error of failed request:  BadMatch (invalid parameter attributes)
>   Major opcode of failed request:  75 (X_PolyText16)
>   Serial number of failed request:  206
>   Current serial number in output stream:  210
> 
> Taking a look at the amount of changes . . . 
> 
> -- 
> 
> 
> Neil Williams
> =============
> http://www.data-freedom.org/
> http://www.linux.codehelp.co.uk/
> http://e-mail.is-not-s.ms/
> 

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#510274; Package mgp. (Sat, 03 Jan 2009 20:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter De Wachter <pdewacht@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Sat, 03 Jan 2009 20:51:20 GMT) Full text and rfc822 format available.

Message #29 received at 510274@bugs.debian.org (full text, mbox):

From: Peter De Wachter <pdewacht@gmail.com>
To: Cyril Brulebois <kibi@debian.org>, Neil Williams <codehelp@debian.org>
Cc: 510274@bugs.debian.org
Subject: Re: Bug#510274: Reproduced in Lenny
Date: Sat, 3 Jan 2009 21:47:15 +0100
On Sat, 3 Jan 2009 18:37:55 +0100
Cyril Brulebois <kibi@debian.org> wrote:

> Hello (back) Peter,
> 
> sorry for the messy-looking mail, but people still didn't get how the
> BTS work; that's why I'm fully quoting the mail.
> 
> Neil Williams <codehelp@debian.org> (03/01/2009):
> > > For every presentation I try to start (sample.mpg, sendmail6.mpg,
> > > v6.mpg), mgp dies with an X error. I've reproduced this on several
> > > systems (including one running pure testing). This might be the
> > > same bug as #400105, though in that report the error message is
> > > different. I can't reproduce this problem with mgp 1.13b-2 (the
> > > version in unstable).
> > 
> > $ rmadison mgp
> >        mgp |    1.11b-7 |     etch-m68k | source, m68k
> >        mgp |    1.11b-7 |        stable | source, alpha, amd64, arm,
> > hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc mgp |
> > 1.11b-7 |       testing | source, alpha, amd64, arm, armel, hppa,
> > i386, ia64, mips, mipsel, powerpc, s390, sparc mgp |    1.11b-7
> > |      unstable | m68k mgp |    1.13a-1 |      unstable | source,
> > alpha, amd64, arm, armel, hppa, hurd-i386, i386, ia64, mips,
> > mipsel, powerpc, s390, sparc
> > 
> > 
> > Unstable has 1.13a-1 - have you been able to test that version?

Yes, that version works for me. ("1.13b-2" obviously doesn't exist,
sorry for the confusion.)

-- 
Peter De Wachter




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#510274; Package mgp. (Sat, 03 Jan 2009 22:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Sat, 03 Jan 2009 22:06:03 GMT) Full text and rfc822 format available.

Message #34 received at 510274@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Peter De Wachter <pdewacht@gmail.com>
Cc: Cyril Brulebois <kibi@debian.org>, 510274@bugs.debian.org
Subject: Re: Bug#510274: Reproduced in Lenny
Date: Sat, 3 Jan 2009 22:01:50 +0000
[Message part 1 (text/plain, inline)]
On Sat, 3 Jan 2009 21:47:15 +0100
Peter De Wachter <pdewacht@gmail.com> wrote:

> > Neil Williams <codehelp@debian.org> (03/01/2009):
> > > > For every presentation I try to start (sample.mpg, sendmail6.mpg,
> > > > v6.mpg), mgp dies with an X error. I've reproduced this on several
> > > > systems (including one running pure testing). This might be the
> > > > same bug as #400105, though in that report the error message is
> > > > different. I can't reproduce this problem with mgp 1.13b-2 (the
> > > > version in unstable).
> > > 
> > > $ rmadison mgp
> > >        mgp |    1.11b-7 |     etch-m68k | source, m68k
> > >        mgp |    1.11b-7 |        stable | source, alpha, amd64, arm,
> > > hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc mgp |
> > > 1.11b-7 |       testing | source, alpha, amd64, arm, armel, hppa,
> > > i386, ia64, mips, mipsel, powerpc, s390, sparc mgp |    1.11b-7
> > > |      unstable | m68k mgp |    1.13a-1 |      unstable | source,
> > > alpha, amd64, arm, armel, hppa, hurd-i386, i386, ia64, mips,
> > > mipsel, powerpc, s390, sparc
> > > 
> > > 
> > > Unstable has 1.13a-1 - have you been able to test that version?
> 
> Yes, that version works for me. ("1.13b-2" obviously doesn't exist,
> sorry for the confusion.)

Subsequent to that email, I did verify that 1.13a-1 is apparently OK.
However, the changes between that and Lenny are too numerous to be
considered for migration to fix this bug.

See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=510274#17

mgp has now been requested for removal from Lenny. The version in
unstable will then migrate after the Lenny release and possibly be
available via backports. Note that mgp is still orphaned, see #509644,
so someone would probably need to adopt it to arrange a backport.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 Apr 2009 07:25:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:12:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.